社区应用 社区服务 会员列表 统计排行 帮助 银行
  • 77阅读
  • 1回复

[求助]关于webbrowser弹出脚本错误求解决方案

楼层直达
发帖
1618
铜币
6258
威望
0
E积分
0
技术积分
0
使用webbrowser浏览一些网页时 例如新浪,会弹出脚本错误的对话窗口,锁定IE版本依然出现这个问题。就这个问题搜索后发现没有啥好的解决方案,各网友给的建议要么是将静默设置为真 要么更换浏览器内核。
设置静默为真 显然是个掩耳盗铃的方法,这样一来网页上的一些动态表单都无法正常显示了,让浏览器失去了基本的网页浏览功能。
换内核 我尝试了wke和cef,首先试了wke,浏览体验不错,但是由于封装的命令有限 使得想用其做一个多页面浏览器有点困难。另外鄙视一下这个封装的内核,html5跑分居然比我用webbrowser低一半
然后换了cef,看了下相关命令 参数,很容易做一个多页面浏览器,可是很不幸,我在仔细安装完支持库和运行库后还是连自带的例程都不能正常显示页面。
现在还是想回到webbrowser上,我现在用的是时钟判断脚本错误窗口弹出即关闭,显然这不是一个好办法
请问有朋友知道如何解决webbrowser的脚本错误提示么。

本帖最近评分记录: 1 条评分 铜币 +1
postmessage 铜币 +1 06-13 JS解释语法不支持时就会弹出这种错误..所以一般用最新的内核就不会弹这种错误
发帖
1133
铜币
181
威望
0
E积分
1
技术积分
0
只看该作者 沙发  发表于: 06-13
JS解释语法不支持时就会弹出这种错误..所以一般用最新的内核就不会弹这种错误
快速回复

限60 字节
批量上传需要先选择文件,再选择上传
 
认证码:
上一个 下一个